<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
<title>帮助中心</title>
<meta name="keywords" content=""/>
<meta name="description" content=""/>
<include file="$includeHeaderPath"/>
<div class="banner nbanner"></div>

<div class="main">
   <div class="pos"> 当前位置&raquo;<a href="javascript:history.go(-1);">{pigcms:$f_siteName}</a> &raquo; <a href="">帮助中心</a></div>
<style type="text/css">
.normalTitle {
    border-bottom: 1px solid #D7DDE6;
    border-radius: 10px 10px 0 0;
    padding: 20px;
    text-shadow: 0 1px 1px #FFFFFF;
}
.normalTitle h2, .panelTitle h2, .processTitle h2 {
    font-size: 20px;
    font-weight: bold;
}
.content {
 margin: 0 auto;
    text-align: left;
    width: 707px;
}
.article, .intro, .download, .document, .developer {
margin:40px 0px;

background:#f5f6f7;
box-shadow:0px 1px 3px #ccc;
}
.section {
padding:0 0 20px 0;
margin:0 0 20px 0;
border-bottom:1px solid #eee;
overflow: hidden;
}
.lastSection {
border:none;
margin-bottom:0px;
}
.normalTitle {
border-bottom:1px solid #d7dde6;
border-radius:10px 10px 0 0;
padding:20px 40px;
text-shadow:0 1px 1px #fff;
}
.normalContent {
background:#fff;/*border-radius:0 0 10px 10px;*/
padding:40px;
}
.normalTitle h2, .panelTitle h2, .processTitle h2 {
font-size:20px;
font-weight:bold;
}
.green{ color:#090}
.red{ color: #F00}
.collapsible {
    background: none repeat scroll 0 0 #FFFFFF;
    padding: 20px;
}
.CollapsiblePanel {
    margin-bottom: 10px;
    width: 870px;
}
.CollapsiblePanelTab {
    background: url(style/images/img/arrow_unclick.png) no-repeat scroll 820px 20px #FFFFFF;
    border: 1px solid #DEDEDE;
    border-radius: 3px 3px 3px 3px;
    color: #626B8A;
    cursor: pointer;
    font-size: 18px;
    padding: 20px 40px 20px 20px;
    text-shadow: 0 1px 0 white;
}
.CollapsiblePanelTab.hover {
    background: url(style/images/img/arrow_unclick.png) no-repeat scroll 820px 20px #D7DDE6;
border: 1px solid #C1C9D4;
}
.CollapsiblePanelTab.clicked {
    background: url(style/images/img/arrow_click.png) no-repeat scroll 820px 20px #D7DDE6;
border: 1px solid #C1C9D4;
}
.CollapsiblePanelContent {
    display: none;
    overflow: hidden;
}
.CollapsiblePanelContent .normalContent {
    padding: 20px 20px 0;
}
</style>
<div class="content" style="width:985px;line-height:180%">
<div class="document" style="margin-top:0px;">
            <div class="normalTitle"><h2>如何为微信公众号配置接口？</h2></div>
                <div class="collapsible" style="line-height:180%">
<div class="section lastSection">
<p>请务必认真阅读以下2步内容，才能更有效的完成配置工作，有疑问的请联系QQ：{pigcms:$f_qq}提问。<br/><if condition="$_GET['token'] neq ''">你的接口URL是：<font color="red">{pigcms:$f_siteUrl}/index.php?g=Home&m=Weixin&a=index&token={pigcms:$wxuser.token}{pigcms:$wxuser.urlsubfix}</font><br>您的token是：<font color="red"><php>if($wxuser['pigsecret']){echo $wxuser['pigsecret'];}else{echo $_GET['token'];}</php></font><br>EncodingAESKey：<font color="red">{pigcms:$wxuser.aeskey}</font><br>消息加解密方式：<font color="red">{pigcms:$wxuser.encodetype}</font></if></p>
</div>
                <div id="CollapsiblePanel2" class="CollapsiblePanel">
                    <div class="CollapsiblePanelTab clicked">第一步、在{pigcms:$f_siteName}绑定你的微信公众号。<span></span></div>
                    <div style="" class="">
                        <div class="articleContent catalogHome normalContent">
                            <div class="section lastSection">
                                <p>1、注册并登录<a href="{pigcms::U('Index/login')}">{pigcms:$f_siteName}接口平台</a></p>
                                <p>2、添加公众号 → 功能管理 → 勾选要开启的功能</p>									
								<p><img src="{pigcms::STATICS}/help/help01.jpg" width="790px"></p>
								<p><img src="{pigcms::STATICS}/help/help0.jpg" width="790px"></p>
                            </div>
                        </div>
                    </div>                        
                </div>
<div id="CollapsiblePanel3" class="CollapsiblePanel">
                        <div class="CollapsiblePanelTab clicked">第二步、到微信公众平台设置接口。<span></span></div>
                        <div style="" class="">
                            <div class="articleContent catalogHome normalContent">
                                <div class="section lastSection">
                                   <div class="section lastSection">
                                    <p style="font-size:14px">1、登录 <a href="http://mp.weixin.qq.com/">微信公众平台</a>（<a href="http://mp.weixin.qq.com/">http://mp.weixin.qq.com/</a>），登录之后点击左侧菜单的“开发者中心”，下图红框中所示。</p>
                                    <p><img src="{pigcms::STATICS}/help/1.jpg"></p><br>
									<p style="font-size:14px">2、进入开发者中心之后，点击下图中绿色的“启用”按钮（<span style="color:red">如果按钮是红色的就忽略这个直接进入下一步</span>），然后在弹出的页面里点击确定，然后点击下图中的“修改配置”（<span style="color:red">订阅号的开发者中心可能没有开发者ID、AppId和AppSecret，这属于正常的</span>）</p>
									<p><img src="{pigcms::STATICS}/help/2.jpg" width="750"></p><br>
									<p style="font-size:14px">3、按照下面要求填写接口配置信息，填写后提交即可</p>
									<if condition="$_GET['token'] eq ''">
									<p style="font-size:14px">比如你{pigcms:$f_siteName}平台上的地址是{pigcms:$f_siteUrl}/index.php/api/demo</p>
									<p style="font-size:14px">那么URL就是{pigcms:$f_siteUrl}/INDEX.PHP/api/demo</p>
									<else/>
									<p style="font-size:14px">你的URL是 <font color="red">{pigcms:$f_siteUrl}/index.php?g=Home&m=Weixin&a=index&token={pigcms:$wxuser.token}{pigcms:$wxuser.urlsubfix}</font></p>
									</if>
									<p style="font-size:14px">Token填写 <font color="red"><php>if($wxuser['pigsecret']){echo $wxuser['pigsecret'];}else{echo $_GET['token'];}</php></font></p>
									<p style="font-size:14px">EncodingAESKey <font color="red">{pigcms:$wxuser.aeskey}</font></p><p style="font-size:14px">消息加解密方式 <font color="red">{pigcms:$wxuser.encodetype}</font></p>
									<p><img src="{pigcms::STATICS}/help/5.jpg"></p><br>
									<p style="font-size:14px">4、在手机上用微信给你的公众号输入"帮助"，如果能接收到信息就接入成功，否则请按照以上步骤重新配置</p><br>									
                                </div>
                              
                            </div>
                        </div>
                        
                    </div>
                </div>
            </div>
    </div>
    </div>
<!--结束-->
</div>
<script type="text/javascript">try{Dd('webpage_7').className='left_menu_on';}catch(e){}</script>
<include file="$includeFooterPath"/>